Skip to content
Browse files

Fix broken build with newer versions of aclocal

Specifically, fixes this error:

configure.in:13: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
  • Loading branch information...
1 parent 86c7f90 commit 7d74a911fbdca321d307f04866dc04e694154763 @gar1t committed
Showing with 3 additions and 0 deletions.
  1. +1 −0 c_src/GNUmakefile
  2. +2 −0 c_src/patch-zeromq2
View
1 c_src/GNUmakefile
@@ -28,6 +28,7 @@ $(DEPS)/zeromq2:
@git clone git://github.com/zeromq/zeromq2-x.git $(DEPS)/zeromq2
@echo $(ZEROMQ_VERSION)
@cd $(DEPS)/zeromq2 && git checkout $(ZEROMQ_VERSION)
+ @./patch-zeromq2
$(DEPS)/zeromq2/src/.libs/libzmq.a: $(DEPS)/zeromq2
@cd $(DEPS)/zeromq2 && ./autogen.sh && ./configure $(ZMQ_FLAGS) && make
View
2 c_src/patch-zeromq2
@@ -0,0 +1,2 @@
+#!/bin/sh
+sed -i s/AM_CONFIG_HEADER/AC_CONFIG_HEADER/g ../deps/zeromq2/configure.in

0 comments on commit 7d74a91

Please sign in to comment.
Something went wrong with that request. Please try again.